Unix
Mac OS X
iOS
Windows
Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Links

# Module montage Methods

## CloneMontageInfo

CloneMontageInfo() makes a copy of the given montage info structure. If NULL is specified, a new image info structure is created initialized to default values.

The format of the CloneMontageInfo method is:

      MontageInfo *CloneMontageInfo(const ImageInfo *image_info,
        const MontageInfo *montage_info)

A description of each parameter follows:

##### image_info

the image info.

##### montage_info

the montage info.

## DestroyMontageInfo

DestroyMontageInfo() deallocates memory associated with montage_info.

The format of the DestroyMontageInfo method is:

      MontageInfo *DestroyMontageInfo(MontageInfo *montage_info)

A description of each parameter follows:

##### montage_info

Specifies a pointer to an MontageInfo structure.

## GetMontageInfo

GetMontageInfo() initializes montage_info to default values.

The format of the GetMontageInfo method is:

      void GetMontageInfo(const ImageInfo *image_info,
        MontageInfo *montage_info)

A description of each parameter follows:

##### image_info

a structure of type ImageInfo.

##### montage_info

Specifies a pointer to a MontageInfo structure.

## MontageImageList

MontageImageList() is a layout manager that lets you tile one or more thumbnails across an image canvas.

The format of the MontageImageList method is:

      Image *MontageImageList(const ImageInfo *image_info,
        const MontageInfo *montage_info,Image *images,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

the image info.

##### montage_info

Specifies a pointer to a MontageInfo structure.

##### images

Specifies a pointer to an array of Image structures.

##### exception

return any errors or warnings in this structure.

Discourse Server • Public Key • Studio • JqMagick